petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCBJacobiGetLocalBlocks

Gets the local number of blocks for the block Jacobi preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCBJacobiGetLocalBlocks(PC pc, PetscInt *blocks, const PetscInt *lens[])

Not Collective Many br

### Input Parameters

| pc | - the preconditioner context Many br
| blocks | - the number of blocks Many br
| lens | - [optional] integer array containing size of each block Many br

### Note

Currently only a limited number of blocking configurations are supported. Many br

Many br

### Keywords

PC, get, number, Jacobi, local, blocks

### See Also

PCSetUseAmat(), PCBJacobiGetTotalBlocks()

Level:intermediate
Location:src/ksp/pc/impls/bjacobi/bjacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages